Public constructor

param

  jupyter-js-services IComm instance

### Hierarchy

- Comm

## Index

### Constructors

- constructor

### Properties

- jsServicesComm

### Accessors

- comm_id
- target_name

### Methods

- _hookupCallbacks
- close
- on_close
- on_msg
- open
- send

## Constructors

### constructor

- new Comm(jsServicesComm: IComm): Comm

- - Defined in services-shim.ts:98

  #### Parameters

  - ##### jsServicesComm: IComm

  #### Returns Comm

## Properties

### jsServicesComm

jsServicesComm: IComm = null

- Defined in services-shim.ts:210

## Accessors

### comm_id

- get comm_id(): string

- - Defined in services-shim.ts:107

  Comm id

  #### Returns string

### target_name

- get target_name(): string

- - Defined in services-shim.ts:115

  Target name

  #### Returns string

## Methods

### _hookupCallbacks

- _hookupCallbacks(future: IKernelFuture, callbacks: any): void

- - Defined in services-shim.ts:180

  Hooks callback object up with jupyter-js-services IKernelFuture

  #### Parameters

  - ##### future: IKernelFuture

  - ##### callbacks: any

  #### Returns void

### close

- close(data?: any, callbacks?: any, metadata?: any): string

- - Defined in services-shim.ts:153

  Closes the sibling comm in the backend

  #### Parameters

  - ##### Optional data: any

  - ##### Optional callbacks: any

  - ##### Optional metadata: any

  #### Returns string

  msg id

### on_close

- on_close(callback: function): void

- - Defined in services-shim.ts:171

  Register a handler for when the comm is closed by the backend

  #### Parameters

  - ##### callback: function

    - - (x: any): void

      - #### Parameters

        - ##### x: any

        #### Returns void

### on_msg

- on_msg(callback: function): void

- - Defined in services-shim.ts:163

  Register a message handler

  #### Parameters

  - ##### callback: function

    - - (x: any): void

      - #### Parameters

        - ##### x: any

        #### Returns void

### open

- open(data: any, callbacks: any, metadata: any): string

- - Defined in services-shim.ts:126

  Opens a sibling comm in the backend

  #### Parameters

  - ##### data: any

  - ##### callbacks: any

  - ##### metadata: any

  #### Returns string

  msg id

### send

- send(data: any, callbacks: any, metadata: any, buffers: ArrayBuffer[] | ArrayBufferView[]): string

- - Defined in services-shim.ts:140

  Sends a message to the sibling comm in the backend

  #### Parameters

  - ##### data: any

  - ##### callbacks: any

  - ##### metadata: any

  - ##### buffers: ArrayBuffer[] | ArrayBufferView[]

  #### Returns string

  message id

Generated using TypeDoc